#include <bits/stdc++.h>
using namespace std;

int main(){
	ios_base::sync_with_stdio(false), cin.tie(nullptr);
	int N, A;
	cin >> N >> A;
	vector<string> S(N);
	for(int i = 0; i < N; i++){
		cin >> S[i];
	}
	string inf(100000, ' ');

	string ans = inf;
	for(int a = 0; a < A; a++){
		char c = 'a' + a;
		bool ok = true;
		int cnt = 0;
		for(int i = 0; i < N; i++){
			if(S[i] == string(S[i].size(), c)){
				ok = false;
			} else {
				int d = 0;
				while(S[i][d] == c){
					d++;
					cnt++;
				}
			}
		}
		if(ok){
			string v(cnt + 1, c);
			if(v.size() < ans.size()) ans = v;
		}
	}
	if(ans == inf) ans = "NO";
	cout << ans << '\n';
}
